mnoGoSearch 3.2.33 reference manual: Full-featured search engine software
Prev |  | Next

# IndexIf

## Name

IndexIf -- allows documents, which sections match given argument, to be indexed

indexer.conf

## Synopsis

IndexIf [Match | NoMatch] [NoCase | Case] [String | Regex] {Section} {arg...}

## Description

Use this to allow documents, which sections match given argument, to be indexed.

First three optional parameters describe the type of comparison. Default values are Match, NoCase, String.

See also Allow.

You may use several arguments for one "IndexIf" command. You may use this command any times.

Takes global effect for config file.

## Examples

    # Example1: Don't index a document if its Body section contains "porno"
    NoIndexIf Body *porno*
    # Example2: Index only those documents with Title section containing "reference"
    IndexIf Title *reference*
    NoIndexIf Title *

Prev | Home | Next
Index | Up | IndexTime